Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextItem.RenderFlag

    java.lang.Object
      java.lang.Enum<QTextItem.RenderFlag>
          com.trolltech.qt.gui.QTextItem.RenderFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextItem.RenderFlag>

Enclosing class:
  QTextItem

    public static enum QTextItem.RenderFlag

extends java.lang.Enum<QTextItem.RenderFlag>
implements QtEnumerator

Press link for info on QTextItem.RenderFlag

Enum Constant Summary
`Dummy` Internal.
`Overline` Internal.
`RightToLeft` Internal.
`StrikeOut` Internal.
`Underline` Internal.

Method Summary
`static QTextItem.RenderFlags` | `createQFlags(QTextItem.RenderFlag... values)`
`static QTextItem.RenderFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextItem.RenderFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextItem.RenderFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RightToLeft

    public static final QTextItem.RenderFlag RightToLeft

  Internal.

### Overline

    public static final QTextItem.RenderFlag Overline

  Internal.

### Underline

    public static final QTextItem.RenderFlag Underline

  Internal.

### StrikeOut

    public static final QTextItem.RenderFlag StrikeOut

  Internal.

### Dummy

    public static final QTextItem.RenderFlag Dummy

  Internal.

Method Detail

### values

    public static final QTextItem.RenderFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextItem.RenderFlag c : QTextItem.RenderFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextItem.RenderFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QTextItem.RenderFlags createQFlags(QTextItem.RenderFlag... values)

### resolve

    public static QTextItem.RenderFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD